# https://github.com/gevent/gevent/archive/1.2.2.tar.gz
%global _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so
%global module gevent

Name:		        python-%{module}
Version:	      1.2.2
Release:	      %mkrel 2
Summary:	      A coroutine-based Python networking library

License:	      MIT
Group:		      Development/Python
Url:		        http://www.gevent.org/
Source0:	      %{module}-%{version}.tar.xz

BuildRequires:  %{_lib}event-devel
BuildRequires:  python-cython
BuildRequires:	python-devel
BuildRequires:  python-greenlet
BuildRequires:  python-setuptools
BuildRequires:  python3-cython
BuildRequires:  python3-devel
BuildRequires:  python3-greenlet
BuildRequires:  python3-setuptools
Requires:       python-greenlet

%description
Gevent is a coroutine-based Python networking library that uses greenlet to
provide a high-level synchronous API on top of the libevent event loop.

%package -n python3-%{module}
Summary: A coroutine-based Python3 networking library
Group:          Development/Python
Requires:       python3-greenlet

%description -n python3-%{module}
Gevent is a coroutine-based Python3 networking library that uses greenlet to
provide a high-level synchronous API on top of the libevent event loop.

%prep
%setup -qn %{module}-%{version}
sed -i 's/C.UTF-8/en_US.UTF-8/' Makefile
cp -a . %{py3dir}

%build
%py2_build
pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitearch}
popd
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python2_sitearch}

%files
%doc LICENSE NOTICE README.rst
%{python_sitearch}/*

%files -n python3-%{module}
%doc LICENSE NOTICE README.rst
%{python3_sitearch}/*

%changelog
* Mon Aug 22 2022 tex - 1.2.2-2pclos2022
- rebuild against updates

* Wed Apr 18 2018 marcin82 <fixxer1982 at gmail.com> 1.2.2-1pclos2018
- update

* Sun Jan 11 2015 pinoc <vogtpet at gmail.com> 0.13.8-2pclos2015
- rebuild on python 3.4.2

* Tue Sep 23 2014 pinoc <vogtpet at gmail.com> 0.13.8-1pclos2014
- imported package
